diff --git a/debian/auctex.bug-script.eperl b/debian/auctex.bug-script.eperl
index 18e1779..9816c8e 100644
--- a/debian/auctex.bug-script.eperl
+++ b/debian/auctex.bug-script.eperl
@@ -34,7 +34,7 @@ cat >&3 <<EOF
 EOF
 
 <: # Default flavors: only GNU/Emacsen, XEmacs comes with its own AUCTeX :>//
-FLAVORS=${*:-"emacs23 emacs24 emacs-snapshot"}
+FLAVORS=${*:-"emacs23 emacs24 emacs25 emacs-snapshot"}
 
 for FLAVOR in ${FLAVORS}; do
     if [ -x /usr/bin/${FLAVOR} ]; then
diff --git a/debian/auctex.emacsen-install.eperl b/debian/auctex.emacsen-install.eperl
index 51e7743..8ff8b44 100644
--- a/debian/auctex.emacsen-install.eperl
+++ b/debian/auctex.emacsen-install.eperl
@@ -107,7 +107,7 @@ function do_update_auctex_elisp () {
 case "${FLAVOR}" in
     (emacs)
 	;;
-    (emacs23|emacs24|emacs-snapshot)
+    (emacs23|emacs24|emacs25|emacs-snapshot)
 	do_install ${FLAVOR}
 	do_update_auctex_elisp ${FLAVOR}
 	;;
diff --git a/debian/auctex.emacsen-remove.eperl b/debian/auctex.emacsen-remove.eperl
index f300cb5..fe0b287 100644
--- a/debian/auctex.emacsen-remove.eperl
+++ b/debian/auctex.emacsen-remove.eperl
@@ -46,7 +46,7 @@ undo_update_auctex_elisp () {
 case "${FLAVOR}" in
     (emacs)
 	;;
-    (emacs23|emacs24|emacs-snapshot)
+    (emacs23|emacs24|emacs25|emacs-snapshot)
 	undo_update_auctex_elisp
 	undo_install
 	;;
diff --git a/debian/auctex.emacsen-startup.eperl b/debian/auctex.emacsen-startup.eperl
index d8c9a3a..48e471b 100644
--- a/debian/auctex.emacsen-startup.eperl
+++ b/debian/auctex.emacsen-startup.eperl
@@ -5,7 +5,7 @@
 ;;; form "(unload-feature 'tex-site)" (i.e., put that string into your
 ;;; "~/.emacs" to disable AUCTeX completely).
 
-(if (member debian-emacs-flavor '(emacs23 emacs24 emacs-snapshot))
+(if (member debian-emacs-flavor '(emacs23 emacs24 emacs25 emacs-snapshot))
 <: # skip if removed and not purged :>//
     (if (file-exists-p "/usr/share/emacs/site-lisp/auctex/tex.el")
 	(progn
diff --git a/debian/auctex.triggers b/debian/auctex.triggers
index 93f6209..76746f6 100644
--- a/debian/auctex.triggers
+++ b/debian/auctex.triggers
@@ -2,4 +2,5 @@ interest /usr/share/texmf
 interest /usr/share/texlive/texmf-dist
 interest auctex-install-emacs23
 interest auctex-install-emacs24
+interest auctex-install-emacs25
 interest auctex-install-emacs-snapshot
diff --git a/debian/control b/debian/control
index 8d9afa1..314bf78 100644
--- a/debian/control
+++ b/debian/control
@@ -4,14 +4,14 @@ Section: tex
 Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Uploaders: OHURA Makoto <ohura@debian.org>
 Standards-Version: 3.9.6
-Build-Depends-Indep: debhelper (>= 8), emacs23 | emacs24 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texinfo (>= 5)
+Build-Depends-Indep: debhelper (>= 8), emacs23 | emacs24 | emacs25 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texinfo (>= 5)
 Homepage: http://www.gnu.org/software/auctex/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/salve/auctex.git;a=summary
 Vcs-Git: git://anonscm.debian.org/users/salve/auctex.git
 
 Package: auctex
 Architecture: all
-Depends: emacs23 | emacs24 | emacs-snapshot, emacsen-common (>= 2.0.8), preview-latex-style, ${misc:Depends}
+Depends: emacs23 | emacs24 | emacs25 | emacs-snapshot, emacsen-common (>= 2.0.8), preview-latex-style, ${misc:Depends}
 Recommends: ghostscript, texlive-latex-recommended, xpdf | evince | evince-gtk | okular
 Suggests: catdvi, dvipng, lacheck
 Breaks: emacspeak (<= 17.0-1)
diff --git a/debian/update-auctex-elisp.eperl b/debian/update-auctex-elisp.eperl
index 1d94a4a..eca3d7b 100644
--- a/debian/update-auctex-elisp.eperl
+++ b/debian/update-auctex-elisp.eperl
@@ -44,7 +44,7 @@ while true; do
     esac
 done
 <: # Default flavors: only GNU, XEmacs comes with its own AUCTeX :>//
-FLAVORS=${*:-'emacs23 emacs24 emacs-snapshot'}
+FLAVORS=${*:-'emacs23 emacs24 emacs25 emacs-snapshot'}
 LOGMASK='/var/lib/auctex/%s/CompilationLog'
 
 if [ -n "${_UPDATE_AUCTEX_ELISP_DAEMON_MODE}" ]; then
